Skip to main content
GET
/
api
/
threat-model
/
rules
cURL
curl -X GET "https://app.cotool.ai/api/threat-model/rules" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "rules": [
    {
      "key": "<string>",
      "externalId": "<string>",
      "platform": "<string>",
      "name": "<string>",
      "description": "<string>",
      "severity": "<string>",
      "enabled": true,
      "ruleType": "<string>",
      "url": "<string>",
      "surfaceIds": [
        "<string>"
      ]
    }
  ],
  "total": 123,
  "offset": 123,
  "limit": 123
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Query Parameters

surfaceId
string
platform
string
severity
string
enabled
boolean
offset
integer
default:0
Required range: x >= 0
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Successful response

rules
object[]
required
total
integer
required
offset
integer
required
limit
integer
required